## org.eclipse.xsd
Interface XSDIdentityConstraintDefinition

All Superinterfaces:
  EObject, Notifier, XSDComponent, XSDConcreteComponent, XSDNamedComponent

All Known Implementing Classes:
  XSDIdentityConstraintDefinitionImpl

    public interface XSDIdentityConstraintDefinition

extends XSDNamedComponent

A representation of the model object 'Identity Constraint Definition'.

The following features are supported:

- `Identity Constraint Category`
- `Annotation`
- `Referenced Key`
- `Selector`
- `Fields`

See Also:
  `XSDPackage.getXSDIdentityConstraintDefinition()`

Method Summary
`XSDAnnotation` `getAnnotation()` Returns the value of the 'Annotation' containment reference
`EList<XSDXPathDefinition>` `getFields()` Returns the value of the 'Fields' containment reference list.
`XSDIdentityConstraintCategory` `getIdentityConstraintCategory()` Returns the value of the 'Identity Constraint Category' attribute.
`XSDIdentityConstraintDefinition` `getReferencedKey()` Returns the value of the 'Referenced Key' reference
`XSDXPathDefinition` `getSelector()` Returns the value of the 'Selector' containment reference
`void` `setAnnotation(XSDAnnotation value)` Sets the value of the '`Annotation`' containment reference
`void` `setIdentityConstraintCategory(XSDIdentityConstraintCategory value)` Sets the value of the '`Identity Constraint Category`' attribute
`void` `setReferencedKey(XSDIdentityConstraintDefinition value)` Sets the value of the '`Referenced Key`' reference
`void` `setSelector(XSDXPathDefinition value)` Sets the value of the '`Selector`' containment reference

Methods inherited from interface org.eclipse.xsd.XSDNamedComponent
`getAliasName, getAliasURI, getName, getQName, getQName, getTargetNamespace, getURI, hasNameAndTargetNamespace, hasSameNameAndTargetNamespace, hasURI, setName, setTargetNamespace`

Methods inherited from interface org.eclipse.xsd.XSDConcreteComponent

`clearDiagnostics, cloneConcreteComponent, contains, elementAttributesChanged, elementChanged, elementContentsChanged, getComponentsWithApplicationInformation, getComponentsWithUserInformation, getContainer, getDiagnostics, getElement, getRootContainer, getSchema, resolveAttributeDeclaration, resolveAttributeDeclaration, resolveAttributeDeclarationURI, resolveAttributeGroupDefinition, resolveAttributeGroupDefinition, resolveAttributeGroupDefinitionURI, resolveComplexTypeDefinition, resolveComplexTypeDefinition, resolveComplexTypeDefinitionURI, resolveElementDeclaration, resolveElementDeclaration, resolveElementDeclarationURI, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinition, resolveIdentityConstraintDefinitionURI, resolveModelGroupDefinition, resolveModelGroupDefinition, resolveModelGroupDefinitionURI, resolveNotationDeclaration, resolveNotationDeclaration, resolveNotationDeclarationURI, resolveSimpleTypeDefinition, resolveSimpleTypeDefinition, resolveSimpleTypeDefinitionURI, resolveTypeDefinition, resolveTypeDefinition, resolveTypeDefinitionURI, setElement, updateElement, updateElement, validate`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getIdentityConstraintCategory

    XSDIdentityConstraintCategory getIdentityConstraintCategory()

  Returns the value of the 'Identity Constraint Category' attribute. The literals are from the enumeration `XSDIdentityConstraintCategory`.

  This represents the identity constraint category infoset property.

  Returns:
    the value of the 'Identity Constraint Category' attribute.
  See Also:
    `XSDIdentityConstraintCategory`, `setIdentityConstraintCategory(XSDIdentityConstraintCategory)`, `XSDPackage.getXSDIdentityConstraintDefinition_IdentityConstraintCategory()`

### setIdentityConstraintCategory

    void setIdentityConstraintCategory(XSDIdentityConstraintCategory value)

  Sets the value of the '`Identity Constraint Category`' attribute.

  Parameters:
    `value` - the new value of the 'Identity Constraint Category' attribute.
  See Also:
    `XSDIdentityConstraintCategory`, `getIdentityConstraintCategory()`

### getAnnotation

    XSDAnnotation getAnnotation()

  Returns the value of the 'Annotation' containment reference.

  This represents the annotation infoset property.

  Returns:
    the value of the 'Annotation' containment reference.
  See Also:
    `setAnnotation(XSDAnnotation)`, `XSDPackage.getXSDIdentityConstraintDefinition_Annotation()`

### setAnnotation

    void setAnnotation(XSDAnnotation value)

  Sets the value of the '`Annotation`' containment reference.

  Parameters:
    `value` - the new value of the 'Annotation' containment reference.
  See Also:
    `getAnnotation()`

### getReferencedKey

    XSDIdentityConstraintDefinition getReferencedKey()

  Returns the value of the 'Referenced Key' reference.

  This represents the referenced key infoset property.

  Returns:
    the value of the 'Referenced Key' reference.
  See Also:
    `setReferencedKey(XSDIdentityConstraintDefinition)`, `XSDPackage.getXSDIdentityConstraintDefinition_ReferencedKey()`

### setReferencedKey

    void setReferencedKey(XSDIdentityConstraintDefinition value)

  Sets the value of the '`Referenced Key`' reference.

  Parameters:
    `value` - the new value of the 'Referenced Key' reference.
  See Also:
    `getReferencedKey()`

### getSelector

    XSDXPathDefinition getSelector()

  Returns the value of the 'Selector' containment reference.

  This represents the selector infoset property.

  Returns:
    the value of the 'Selector' containment reference.
  See Also:
    `setSelector(XSDXPathDefinition)`, `XSDPackage.getXSDIdentityConstraintDefinition_Selector()`

### setSelector

    void setSelector(XSDXPathDefinition value)

  Sets the value of the '`Selector`' containment reference.

  Parameters:
    `value` - the new value of the 'Selector' containment reference.
  See Also:
    `getSelector()`

### getFields

    EList<XSDXPathDefinition> getFields()

  Returns the value of the 'Fields' containment reference list. The list contents are of type `XSDXPathDefinition`.

  This represents the fields infoset property.

  Returns:
    the value of the 'Fields' containment reference list.
  See Also:
    `XSDPackage.getXSDIdentityConstraintDefinition_Fields()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.